include( "shared.lua" )

ENT.RenderGroup = RENDERGROUP_TRANSLUCENT

local GlowMat = Material( "sprites/light_glow02_add" )
//local GlowMat = Material( "particle/particle_glow_01_additive" )

function ENT:Draw()

	self:DrawShadow( false )
	
	local R, G, B, A = self:GetColor()
	R = R / 255
	G = G / 255
	B = B / 255
	A = A / 255

	local DLight = DynamicLight( self:EntIndex() )
	if ( DLight ) then
		DLight.Pos = self:GetPos()
		DLight.r = R * 255
		DLight.g = G * 255
		DLight.b = B * 255
		DLight.Brightness = A
		DLight.Size = 128
		DLight.Decay = 512
		DLight.DieTime = CurTime() + 1
	end
	
	render.SetMaterial( GlowMat )
	
	local Seed1 = self:GetDTFloat( 0 )
	local Seed2 = self:GetDTFloat( 1 )
	local MyPos = self:GetPos()
	local Index = self:EntIndex()
	
	for i = 1, 180 do
		local Ang = ( Index + 1337 + CurTime() ) * i //Yeah, random math makes awesome shit!
		local Size = ( 155 - i ) / 6 
		local Forward = Angle( Ang * Seed1, Ang * Seed2, 0 ):Forward()
		local Pos = MyPos + Forward * i * 0.09
		local Gray = i / 150 * 255
		Gray = Color( Gray * R, Gray * G, Gray * B, Gray * A )
		render.DrawSprite( Pos, Size, Size, Gray )
	end

end